couchpotato/couchpotato/urls.py
# Developers note :
    #   23-12-2020 > Openapi2 with the library django-rest-swagger not supporting


from django.contrib import admin
from django.urls import path,include,re_path
from rest_framework.schemas import get_schema_view
from django.views.generic import TemplateView
from rest_framework import permissions
from drf_yasg.views import get_schema_view
from drf_yasg import openapi


schema_view = get_schema_view(
   openapi.Info(
      title="Couch Potato API",
      default_version='1.0',
      description="Open APIs Listing",
      terms_of_service="/terms/",
      contact=openapi.Contact(email="contact@snippets.local"),
      license=openapi.License(name="BSD License"),
   ),
   public=True,
   permission_classes=(permissions.AllowAny,),
)   


urlpatterns = [
    path('', include('home.urls')),
    path('openapi/' , include('game.urls')),
    path('calendar/', include('calender.urls')),
    path('admin/', admin.site.urls),
    

    re_path(r'^swagger(?P<format>\.json|\.yaml)$', schema_view.without_ui(cache_timeout=0), name='schema-json'),
    path('swagger/', schema_view.with_ui('swagger', cache_timeout=0), name='schema-swagger-ui'),
    path('redoc/', schema_view.with_ui('redoc', cache_timeout=0), name='schema-redoc'),
    
]
 

couchpotato/game/urls.py
	
from django.urls import path ,re_path
from . import views
from django.conf import settings
from django.conf.urls.static import static
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.views.static import serve 
from game.restapi import CreatePotatos , UpdatePotatos
from django.urls import path, include
from rest_framework import routers, serializers, viewsets
  
urlpatterns = [
    
      path('create_potato/',CreatePotatos.as_view(),name=  'create_potato'),
      path('update_potato/',UpdatePotatos.as_view(),name=  'update_potato'),
      path('api-auth/', include('rest_framework.urls', namespace='rest_framework')),
      
]

urlpatterns += staticfiles_urlpatterns()

couchpotato/home/urls.py
from django.urls import path ,re_path
from django.conf.urls import url, include

from . import views
from django.conf import settings

from django.conf.urls.static import static
from django.contrib.staticfiles.urls import staticfiles_urlpatterns
from django.views.static import serve 

urlpatterns = [
    path('', views.Home, name='index'),
    path('select/', views.LoadSelectOptions, name='createselect'),
    path('usimple/', views.UpdateListSimple, name='udebug'),
    path('history/', views.History, name='history'),
    path('settingspanel/', views.admin, name='admin'),
    path('save_features', views.SaveApplicationFeatures, name='savefeatures'),
    path('delete_user', views.DeleteUser, name='delete_user'),
    path('save_user_status', views.SaveUserStatus, name='savefeatures'),
    path('logout/', views.LogoutUser, name='logout'),
    path('login/', views.AuthenticateUser, name='login'),
    path('signup/', views.SignUp, name='signup'),
    path('post_create', views.CreatePost, name='post_create'),
    path('post_update', views.UpdatePost, name='post_update'),
    path('accounts/logout/', views.LogoutSwagger, name='swagger_logout') ,
    url(r'^events/$', views.GetEventsForCalender, name='events'),
    re_path(r'^static/(?P<path>.*)$', serve,{'document_root': settings.STATIC_ROOT}), 
    
     
]

urlpatterns += staticfiles_urlpatterns()

couchpotato/home/models.py
from django.db import models

 
 
class ApplicationFeatures(models.Model):
    signup = models.BooleanField(default=True)
    limit_user_signup = models.BooleanField(default=False)

couchpotato/home/forms.py
from django import forms
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User
from django.contrib.auth import login, authenticate

from django.contrib.auth.forms import AuthenticationForm


class LoginForm(AuthenticationForm):
    def confirm_login_allowed(self, user):
        if not user.is_active:
            raise forms.ValidationError(
                'The user is awating admin approval',
                code='inactive',
            )
        elif self.user_cache is None:
             raise forms.ValidationError(
                        self.error_messages['invalid_login'],
                        code='invalid_login',
                        params={'username': self.username_field.verbose_name},
            )
    def clean(self):
        username = self.cleaned_data.get('username')
        password = self.cleaned_data.get('password')
        if username is None or username is '':
            raise forms.ValidationError(
                        'Username cannot be left blank',
                        code='invalid_login',
                        params={'username': self.username_field.verbose_name},
                    )
        elif username is not None and password:
            self.user_cache = authenticate(self.request, username=username, password=password)
            print(self.user_cache)
            if self.user_cache is None:
                try:
                    user_temp = User.objects.get(username=username)
                except:
                    user_temp = None

                if user_temp is not None:
                        self.confirm_login_allowed(user_temp)
                else:
                    raise forms.ValidationError(
                        self.error_messages['invalid_login'],
                        code='invalid_login',
                        params={'username': self.username_field.verbose_name},
                    )
          
        return self.cleaned_data

class SignUpForm(UserCreationForm):
    # first_name = forms.CharField(label='First Name')
    first_name = forms.CharField(label='First Name',max_length=30, required=False, help_text='Optional.',widget=forms.TextInput(attrs={ }),)
    last_name = forms.CharField(label='Last Name',max_length=30, required=False, help_text='Optional.',widget=forms.TextInput(attrs={ }),)
    email = forms.EmailField(label='Email' , max_length=30, help_text='Required. Inform a valid email address.')
 
    class Meta:
        model = User
        fields = ('username', 'email', 'first_name','last_name','password1', 'password2', )

 
 

couchpotato/home/templates/admin.html
<!doctype html>
<html lang="en">

<head>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

   
    <!-- <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.22/css/jquery.dataTables.css">  -->

    <link rel="stylesheet" type="text/css"  href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css"  href="https://cdn.datatables.net/1.10.22/css/dataTables.bootstrap.min.css">
    <link rel="stylesheet" type="text/css"  href="https://cdn.datatables.net/responsive/2.2.6/css/responsive.bootstrap.min.css">

    <title>Couch Potato</title>
</head>

<body>
    {% include "navbar.html" %}

  <div class=container >

    <h4>Application Settings</h4>
    <hr>
    <form>
        <!-- <div class="form-row align-items-center">
          
              
          <div class="col-auto">
            <div class="form-check mb-2">
              
            {%if signup %}
                 <input class="form-check-input" type="checkbox"   id="autoSizingCheck" checked>
            {% else %}
                 <input class="form-check-input" type="checkbox"   id="autoSizingCheck">

            {% endif %}
            <label class="form-check-label" for="autoSizingCheck" style="margin-left:20px">
              Sign Up Feature
            </label>


           
             
            </div>
          </div> 

         


        </div> -->

        <div class="form-row align-items-center">
          <div class="col-auto">
          <div class="form-check mb-2">
          
            <br>
            {% if limit_users %}
                  <input class="form-check-input" type="checkbox"   id="register_settings" checked>
            {% else %}
                  <input class="form-check-input" type="checkbox"   id="register_settings">

            {% endif %}

            <label class="form-check-label" for="register_settings" style="margin-left:20px">
              Block Registration
            </label>
            </div>
        </div>
      </div>

      </form>

      <br>
      <br>
      <h4>User Settings</h4>
      <hr>
      <table id="user_table" class="table table-striped table-bordered display nowrap" style="width:100%">
        <thead>
            <tr>
                <th>Username</th>
                <th>First Name</th>
                <th>Last Name</th>
                <th>Email Address</th>
                <th>Active</th>
                <th>Delete</th>
                 
            </tr>
        </thead>
        <tbody>
          {% for  u in users %}
            <tr>
                <td class=name>{{ u.username }} </td>
                <td>{{ u.first_name}}</td>
                <td>{{u.last_name}}</td>
                <td>{{u.email}}</td>
                {%if u.is_active%}
                <td>
                    <input type="checkbox"  class="form-check-input user_status" id={{u.id}} checked><span style="margin-left:20px">Active</span>
                </td>
                {%else%}

                <td>
                  <input type="checkbox"  class="form-check-input user_status" id={{u.id}} ><span style="margin-left:20px">Active</span>
                </td>

                {%endif%}
                <td>
                  <button   class="btn btn-info" id={{u.id}} >Delete </button>
                </td>


                 
            </tr>
            {% endfor %}
    
         </tbody>
      
    </table>

    
 
 

<span>
    <a  style="background:lavender;float: right;margin-top: 25px;" id=home href='/'>Return to Home</a>
  </span>

</div>
</body>





<!-- <script type="text/javascript" charset="utf8" src="https://code.jquery.com/jquery-3.5.1.js"> </script>
<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.22/js/jquery.dataTables.min.js"></script> -->
 
 

<script src="https://code.jquery.com/jquery-3.5.1.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/1.10.22/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.22/js/dataTables.bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.2.6/js/dataTables.responsive.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.2.6/js/responsive.bootstrap.min.js"></script>


<script>
 
    $(document).ready(function() {

        var table = $('#user_table').DataTable({

          "initComplete": function(settings, json) {
                 $("#user_table_wrapper").removeClass('form-inline');
                
                
            },

        });

        $(".btn").click(function() {
            // alert((this).id)
          console.log((this).id)
          var r = confirm("Do you need to delete the user " + $(this).closest('tr').find('.name').text());
            if (r == true) {
                
              // $(this).closest('tr').remove()
              var row = $(this).closest('tr')

                $.post("/delete_user",
                    {
                      user_id: (this).id,
                      csrfmiddlewaretoken: '{{ csrf_token }}' ,
                    },
                    function(data){
                        // $(this).closest('tr').remove()
                        row.remove()
                        alert(data.success)
                        
                    });

                

            }  
           
        });
        

            $( "#autoSizingCheck" ).click(function() {
            console.log($('#autoSizingCheck').is(":checked"))

            $.post("/save_features",
                {
                signup: $('#autoSizingCheck').is(":checked"),
                limit_users:'',
                csrfmiddlewaretoken: '{{ csrf_token }}' ,
                },
                function(data){
                    alert(data.success)
                    
                 });

            });

            $( "#register_settings" ).click(function() {
              console.log($('#register_settings').is(":checked"))

               $.post("/save_features",
                {
                signup:'',
                limit_users: $('#register_settings').is(":checked"),
                csrfmiddlewaretoken: '{{ csrf_token }}' ,
                },
                function(data){
                    alert(data.success)
                    
                 });

            });

            

            $( ".user_status" ).click(function() {
              id = $(this).attr('id')
                
              
              $.post("/save_user_status",
                  {
                  id: id,
                  active : $('#'+id).is(':checked') ,
                  csrfmiddlewaretoken: '{{ csrf_token }}' ,
                  },
                  function(data){
                       
                      
                  });

            });





      } );

          

   


    </script>

     


</html>

couchpotato/home/templates/create_cp.html
<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
     <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.37/css/bootstrap-datetimepicker.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">




    <title>Couch Potato</title>

    <style>
       
      select{
          width: 30%;
          font-size: 16px;
          background: darkorange;
          padding: 10px;
          border-radius: 5px;

      }
    </style>
   </head>
  <body>
    
        {% include "navbar.html" %}



    <div class="container" style="margin-top: 30px;align-items: center;">
		
		<h4 id=local_date_time></h4>
    
    <h4 >Number of Open Proposals: {{ proposals.0 }} / {{ proposals.1 }} </h4>
      
      <div class="form-group" id=create_one >

        <h3>  </h3>
       
         <div id='results_div' style=" min-height: 500px;border:1px solid rgb(170, 77, 40);padding:50px">
            
            <div>
            <h3> Select Sport</h3>
            <select  class=games  id=1>
              <option value=999> Select One </option>
                {% for  key, value  in list.items %}
                 <option value={{key}}> {{value}} </option>
                {% endfor %}

             </select>
            <br>
            </div>
            

             <div>
            <h3> Select League</h3>
            <select  class=groups  id=2>
              <option value=999> Select One </option>
                </select>
            <br>
            </div>
            
            <div>
            <h3> Home Team</h3>
            <select  class=home  id=3>
              <option value=999> Select One </option>
                </select>
            <br>
            </div>

            <div>
            <h3> Away Team</h3>
            <select  class=away  id=4>
              <option value=999> Select One </option>
                </select>
            <br>
            </div>
             

             
            <div>
              <h3> Start Time</h3>
             

  
              <div class="form-group">
                <!-- <label class="control-label">Select Date</label> -->
                <div class='input-group date' id='datetimepicker1'>
                   <input type='text' class="form-control" />
                   <span class="input-group-addon">
                   <span class="glyphicon glyphicon-calendar"></span>
                   </span>
                </div>
             </div> </div>

             <div>
               <h5 id=error_msg style="color:red;padding-top: 20px;" >
                  
               </h5>
             </div>
            
            <br>
            
 
         
          
    
        </div>
        

        
            <button class="btn btn-primary" type="button" style="margin-top: 20px;" id=create_submit>Submit</button>

         
        <span>
          <a  style="background:lavender;float: right;margin-top: 25px;" id=home href='/'>Return to Home</a>
        </span>
        

      </div>
    
         
      
    </div>
    
   
    

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js" ></script>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/momentjs/2.14.1/moment.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.37/js/bootstrap-datetimepicker.min.js"></script>




    <script>

    $(document).ready(function() {


        //  var d = new Date('11/24/2020 5:25 PM');
         var d = new Date();
         var utc = new Date(d.getTime() + d.getTimezoneOffset() * 60000);
         $('#local_date_time').html(d.toLocaleString())
         $('#utc_date_time').html(d.toUTCString())
         $('#utcgen_date_time').html(utc.toString())




          } );

    $(function () {

	      $('#datetimepicker1').datetimepicker();

	  })

      $('select').on('change', function() {
        

        // console.log("selected value" , this.value );
        // console.log("selected text" , $(this).find("option:selected").text());
        // console.log((this).id)
        id = parseInt((this).id)
        
        new_next_select_id = id + 1
        
        if (id == 1 || id == 2){
          $('#3').html('<option value=999>Select One</option>')
          $('#4').html('<option  value=999>Select One</option>')
        }
        sport = $('.games').find("option:selected").text()
        groups = $('.groups').find("option:selected").text()
        home =  $('.home').find("option:selected").text()
        away =  $('.away').find("option:selected").text()
        
         

        
        $.post("/select/",
        {
            num: new_next_select_id,
            sport:sport,
            eventGroup:groups,
            home:home,
            away:away,
            csrfmiddlewaretoken: '{{ csrf_token }}' ,
        },
        function(data, status){

             var obj = data.list
            $('#'+new_next_select_id).html('<option value=999>Select One</option>')
            if (data.list[1] != 'status'){
              Object.keys(obj).forEach(function(key) {
                   
                  $('#'+new_next_select_id).append("<option value="+ key +">"+obj[key] + "</option>")
              });
            }
         
         });

 
        });

     function validate(){

        var sport = $('.games').find("option:selected").val()
        var groups = $('.groups').find("option:selected").val()
        var home =  $('.home').find("option:selected").val()
        var away =  $('.away').find("option:selected").val()
        var date_val = $('#datetimepicker1 input').val()

         
        if(parseInt(sport) === 999){
          $('#error_msg').html('Please select a sport')
          return false
        }
        else if(parseInt(groups) === 999){
          $('#error_msg').html('Please select a league')
          return false
        }
        else if(parseInt(home) === 999){
          $('#error_msg').html('Please select a home team')
          return false
        }
        else if(parseInt(away) === 999){
          $('#error_msg').html('Please select a away team')
          return false
        }
        else if(typeof date_val === 'undefined' || date_val === ""){
          $('#error_msg').html('Please select a date time')
          return false
        }
        else{
          $('#error_msg').html('')
          return true
        }

        
      

     }
   
      $("#create_submit").click(function(){

        var selected = $("form input[type='radio']:checked");
        var selectedtext = $("form input[type='radio']:checked").next('label:first').html()
      
        var next_num = parseInt($("form").attr("id")) + 1

        var date_val = $('#datetimepicker1 input').val()
        var d = new Date(date_val) 
        question_id = 5
        
        if (validate()){
              
            $.post("/post_create",
            {
              id: question_id,
              optionvalue: 'date',
              optiontext : d.toISOString(),
              csrfmiddlewaretoken: '{{ csrf_token }}' ,
            },
            function(data, status){
              if (data.success == 'Posted'){
                alert(data.message)
                window.location.href =  '/'
              }
              
              
              
            });
        }

      })
    
     

     </script>
  </body>
</html>

couchpotato/home/templates/index.html
{% load static %}

<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>Couch Potato</title>

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
<style>
.btn{
  height: 100px;
    vertical-align: baseline;
    font-size: 25px;
    font-weight: 900;
    padding: 32px;
}

}
</style>

  </head>
  <body>

    {% include "navbar.html" %}

    <!-- <div>
      <h3 id=local_date_time></h3>
      <h3 id=utc_date_time></h3>
      <h3 id=utcgen_date_time></h3>

    </div> -->

     <div class="container" style="margin-top: 100px;align-items: center;">
        <!-- <button type="button" class="btn btn-primary btn-lg btn-block">CREATE</button>
        <button type="button" class="btn btn-secondary btn-lg btn-block">UPDATE</button> -->

        <!-- <nav class="nav nav-pills nav-justified"> -->
          <div class=row>
            <div class=col-md-12 style="padding-bottom: 10px;">
              <div class=col-md-6>
                <a class="btn btn-primary btn-lg btn-block" href="/select">CREATE</a>
              </div>
              <div class=col-md-6>
                <a class="btn btn-secondary btn-lg btn-block" href="/usimple">UPDATE</a>
              </div>
            </div>
             
              <div class=col-md-12 >
                <div class=col-md-6>
                  <a class="btn btn-info btn-lg btn-block" href="/history">HISTORY</a>
                </div>
                <div class=col-md-6>
                  <a class="btn  btn-warning btn-lg btn-block"  href="/calendar">CALENDAR</a>
                </div>
              </div>
            </div>
           
          </div>
            
        <!-- </nav> -->
    
      </div>
    

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>

      <script>
        //  var d = new Date('11/24/2020 5:25 PM');
         var d = new Date();
         var utc = new Date(d.getTime() + d.getTimezoneOffset() * 60000);
         $('#local_date_time').html(d.toLocaleString())
         $('#utc_date_time').html(d.toUTCString())
         $('#utcgen_date_time').html(utc.toString())


      </script>
  </body>
</html>

couchpotato/home/templates/navbar.html
{%load static %}
<head>
    <style>
        .rounded-circle{
          width: 40px;
        }
        body{background-color: beige;}
        nav{
            background-color: beige !important;
        }
      </style>
</head>
    <nav class="navbar navbar-expand navbar-light topbar mb-4 static-top shadow">

        <!-- Sidebar Toggle (Topbar) -->
        <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
            <i class="fa fa-bars"></i>
        </button>
  
       
  
        <!-- Topbar Navbar -->
        <ul class="navbar-nav ml-auto">
  
            
            {% if request.user.is_authenticated %}
            <div class="topbar-divider d-none d-sm-block"></div>
  
            <!-- Nav Item - User Information -->
            <li class="nav-item dropdown no-arrow">
                <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button"
                    data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <span class="mr-2 d-none d-lg-inline text-gray-600">{{ user.username }}</span>
                    <img class="img-profile rounded-circle"
                        src="{%static 'image/undraw_profile.svg' %}">
                </a>
                <!-- Dropdown - User Information -->
                <div class="dropdown-menu dropdown-menu-right shadow animated--grow-in"
                    aria-labelledby="userDropdown">
                   
                    {% if request.user.is_superuser %}
                    <a class="dropdown-item" href="/settingspanel">
                        <i class="fas fa-cogs fa-sm fa-fw mr-2 text-gray-400"></i>
                        Settings
                    </a>
                    <div class="dropdown-divider"></div>
                    {% endif %}
                    
                   
                    <a class="dropdown-item" href="/logout"  >
                        <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i>
                        Logout
                    </a>
                    
                </div>
            </li>
            {% endif %}
        </ul>
  
    </nav>

couchpotato/home/templates/register.html
{% load static %}

<!DOCTYPE html>
<html lang="en">

    <head>

        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>Couch Potato</title>


        <!-- CSS -->
        <link rel="stylesheet" href="http://fonts.googleapis.com/css?family=Roboto:400,100,300,500">
        <link rel="stylesheet" href="{% static 'assets/bootstrap/css/bootstrap.min.css' %}">
        <link rel="stylesheet" href="{% static 'assets/font-awesome/css/font-awesome.min.css' %}">
		<link rel="stylesheet" href="{% static 'assets/css/form-elements.css' %}">
        <link rel="stylesheet" href="{% static 'assets/css/style.css' %}">
 

        <!-- Favicon and touch icons -->
        <link rel="shortcut icon" href="{% static 'assets/ico/favicon.png' %}">
        <link rel="apple-touch-icon-precomposed" sizes="144x144" href="{% static 'assets/ico/apple-touch-icon-144-precomposed.png' %}">
        <link rel="apple-touch-icon-precomposed" sizes="114x114" href="{% static 'assets/ico/apple-touch-icon-114-precomposed.png' %}">
        <link rel="apple-touch-icon-precomposed" sizes="72x72" href="{% static 'assets/ico/apple-touch-icon-72-precomposed.png' %}">
        <link rel="apple-touch-icon-precomposed" href="{% static 'assets/ico/apple-touch-icon-57-precomposed.png' %}">

    
        <style>

        #id_email{
            width:240px;
            height: 50px;
            margin: 0;
            padding: 0 20px;
            vertical-align: middle;
            background: #f8f8f8;
            border: 3px solid #ddd;
            font-family: 'Roboto', sans-serif;
            font-size: 16px;
            font-weight: 300;
            line-height: 50px;
            color: #888;
            -moz-border-radius: 4px;
            -webkit-border-radius: 4px;
            border-radius: 4px;
            -moz-box-shadow: none;
            -webkit-box-shadow: none;
            box-shadow: none;
            -o-transition: all .3s;
            -moz-transition: all .3s;
            -webkit-transition: all .3s;
            -ms-transition: all .3s;
            transition: all .3s;
        }
        .errorlist{
            color: red;
        }
        </style>
    </head>


    <body>

        <!-- Top content -->
        <div class="top-content">
        	
            <div class="inner-bg">
                <div class="container">
                	
                    <div class="row">
                        <div class="col-sm-8 col-sm-offset-2 text">
                             <div class="description">
                            	 
                            </div>
                        </div>
                    </div>
                    
                    <div class="row">
                         
                        <div class=col-sm-3></div>
                        <div class="col-sm-6">
                        	
                        	<div class="form-box">
                        		<div class="form-top">
	                        		<div class="form-top-left">
 	                            		<p>Fill in the form below to get instant access:</p>
	                        		</div>
	                        	 
                                </div>
                                
                                <div class="form-bottom">

                                <form method="post">
                                    {% csrf_token %}
                                     <table>{{ form.as_table }}</table>

                                     <button style="margin-top:30px" type="submit" class="btn">Sign me up!</button>
                                  </form>

                                </div>
 
                        	</div>
                        	
                        </div>
                    </div>
                    
                </div>
            </div>
            
        </div>

         

        <!-- Javascript -->
        <script src="{% static 'assets/js/jquery-1.11.1.min.js' %}"></script>
        <script src="{% static 'assets/bootstrap/js/bootstrap.min.js' %}"></script>
        <script src="{% static 'assets/js/scripts.js' %}"></script>
        
       

    </body>

</html>